PHP-versie

 
Wanneer u klant bij ons wordt, draait uw hostingpakket op de nieuwste door ons ondersteunde stabiele PHP-versie Mocht u een andere versie van PHP willen gebruiken, dan kunt u dit via het Service Centre aanpassen naar een andere ondersteunde versie.

Als webmaster heeft u in het Cosmos Service Centre toegang tot het beheer van de PHP-versie onder Hosting -> Beheer -> Hostinggedrag. Onderaan het tabblad Serverinstellingen vindt u naast ‘PHP-versie’ een dropdown-menu voor de versies die wij op het moment aanbieden. Selecteer de gewenste versie en klik op “Zet om” om deze aan te passen.

Wanneer u de PHP-versie aanpast raden wij aan om goed na te gaan of uw sites en eventuele plug-ins up-to-date zijn. Mocht dit niet het geval zijn dan kan het zijn dat (een deel van) uw site niet meer goed functioneert. In dit geval maakt uw site, of een gebruikte plugin gebruikt van een functie die door de nieuwere PHP-versie niet meeer wordt ondersteund: Een zogeheten deprecated feature. Op php.net vindt u per versiewisseling welke functionaliteiten zaijn toegevoegd en welke functies niet meer worden ondersteund. Mocht u tegen problemen aanlopen dan zijn oplossingen ook vaak te vinden door met de letterlijke foutmelding op internet te zoeken.

NB: Houdt er bij het wisselen van de PHP-versie rekening mee dat deze instelling geldt voor het hele hostingpakket. Als u meerdere sites heeft draaien, loop dan na het omzetten al uw sites even na.

Screenshot from 2016-09-22 14:24:46